Page MenuHomePhabricator

copies-rust: use the entry API to overwrite deleted entry
ClosedPublic

Authored by marmoute on Dec 2 2020, 11:02 AM.

Details

Summary

This is more efficient, more idiomatic and more compact.

The main motivation for this change is to cleanup that area before start to do
"overwrite" tracking. Such tracking will ultimately help to avoid costly
is_ancestors call when merging changeset.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

marmoute created this revision.Dec 2 2020, 11:02 AM
baymax updated this revision to Diff 23958.Dec 2 2020, 1:19 PM
Alphare accepted this revision.Dec 14 2020, 4:45 AM
marmoute updated this revision to Diff 24217.Dec 14 2020, 6:17 AM
baymax updated this revision to Diff 24238.Dec 14 2020, 7:48 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.Dec 17 2020, 6:14 AM
This revision is now accepted and ready to land.Dec 17 2020, 6:14 AM
baymax updated this revision to Diff 24355.Dec 17 2020, 3:47 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)